- Qt 6.9
- Qt SQL
- C++ Classes
- QSqlQuery
- Qt 6.9.3 Reference Documentation

# Obsolete Members for QSqlQuery

The following members of class QSqlQuery are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.2)` | QSqlQuery(const QSqlQuery &other)
`(deprecated in 6.2)` QSqlQuery & | operator=(const QSqlQuery &other)

## Member Function Documentation

### `[deprecated in 6.2]` QSqlQuery::QSqlQuery(const QSqlQuery &other)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Constructs a copy of other.

QSqlQuery cannot be meaningfully copied, and therefore will no longer be copiable in Qt 7. Prepared statements, bound values and so on will not work correctly, depending on your database driver (for instance, changing the copy will affect the original). Treat QSqlQuery as a move-only type instead.

### `[deprecated in 6.2]` QSqlQuery &QSqlQuery::operator=(const QSqlQuery &other)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Assigns other to this object.

QSqlQuery cannot be meaningfully copied, and therefore will no longer be copiable in Qt 7. Prepared statements, bound values and so on will not work correctly, depending on your database driver (for instance, changing the copy will affect the original). Treat QSqlQuery as a move-only type instead.